Subject: [manet] Re: [ns] DSR: flow route changing without movements

From: Vítor Jesus <[email-masked]>
Date: Fri, 12 Nov 2004 09:47:41 +0000 (GMT)

Khoa, kaz,

I got exactly the same effect as Kaz has. 
The channel contention is a strong issue (very clear
and complete explanation from Khoa) but, in my
experience, ns-2 also has a very unrealistic
propagation model. I've been using TwoRay model.

If you simulate a "fixed" adhoc in ns-2, if you keep
all nodes appart some distance D, and if you slightly
change D (say, 150m + 1m), you get drastic changes in
packet loss and the nodes where the losses occur (from
traces). Such small variation resulting in such major
effects seems more like a propagation issue, very
typical of a TwoRay model. 

As I see it, it looks like interference pattern is
changing at the "rate" of the wavelength used which is
about 10cm for GHz band. That is what I would expect
from a simple TwoRay model.

--Vítor JS

 --- Khoa To <[email-masked]> wrote: 
> 
> If you are sending lots of packets, the wireless
> channel could get
> saturated. This leads to route errors when the node
> cannot send out a
> packet to the neighbor (due to contention in the
> wireless channel).
> 
> When this happens, DSR assumes that the link is
> broken, and proceeds to
> discover a new path to the destination.
> 
> If you are using fixed nodes, you could tell DSR not
> to respond to
> transmission failure by not responding to any
> packets that come through
> the DSR::xmitFailed() function (i.e. free those
> packets, don't initiate
> a new route discovery process). The problem with
> this is that DSR would
> be come a static routing protocol and cannot respond
> to and change in
> the topology, but it will discover the initial
> topology and stick with
> that.
> 
> Khoa.
> 
> On Thu, 2004-11-11 at 10:25, kaz wrote:
> > Hi everybody,
> > 
> > I have a quite strange problem: I'm using fixed
> nodes. I mean, which are 
> > not moving. However, I have quite a lot of route
> error: about 6000 route 
> > error pkt for 35000 cbr pkt sent and a 900s
> simulation. And my flow 
> > routes are changing all the time. So, I was
> wondering if there were an 
> > explanation for this.
> > 
> > regards
> > 
> 
>  

___________________________________________________________ 
ALL-NEW Yahoo! Messenger - all new features - even more fun! http://uk.messenger.yahoo.com

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet